RubyGems Navigation menu

rubocop 0.56.0

Automatic Ruby code style checking tool. Aims to enforce the community-driven Ruby Style Guide.

Versions:

  1. 1.8.1 - January 11, 2021 (459 ko)
  2. 1.8.0 - January 07, 2021 (459 ko)
  3. 1.7.0 - December 25, 2020 (456 ko)
  4. 1.6.1 - December 10, 2020 (451 ko)
  5. 1.6.0 - December 09, 2020 (451 ko)
  6. 0.56.0 - May 14, 2018 (387 ko)
Voir toutes les versions (168)

Dépendances de Runtime (6):

  • parallel ~> 1.10
  • parser >= 2.5
  • powerpack ~> 0.1
  • rainbow < 4.0, >= 2.2.2
  • ruby-progressbar ~> 1.7
  • unicode-display_width >= 1.0.1, ~> 1.0
  • Dépendances de Development (2):

  • bundler ~> 1.3
  • rack < 2.0, >= 1.6.9
  • Propriétaires:

    Auteurs:

    • Bozhidar Batsov, Jonas Arvidsson, Yuji Nakayama

    Total de contrôle SHA 256:

    687f9418a1475911fdd0cf7c57009620daef2caffe5692b621dc6d1abfb04212

    Total de téléchargements 135 937 275

    Pour cette version 1 278 204

    Gemfile:
    = Copier Copié!

    installation:
    =

    License:

    MIT

    Version de Ruby requise: >= 2.1.0

    Liens: